Bug 242755 - Missing character bug in latest security patches
Summary: Missing character bug in latest security patches
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: samba (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Simo Sorce
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On: 242744
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 17:01 UTC by Simo Sorce
Modified: 2008-07-12 15:08 UTC (History)
2 users (show)

Fixed In Version: 2.2.12.1.21as.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-12 15:08:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Simo Sorce 2007-06-05 17:01:33 UTC
+++ This bug was initially created as a clone of Bug #242744 +++

Description of problem:
Upstream was notified that the security patch for CVE-2007-2447 is missing one
character in the allowed set for the escape shell security functions
This may cause the code to reject any script that contains the 'c' character in
the path or parameters not passed in double quotes

Version-Release number of selected component (if applicable):
All RHEL products

Comment 2 Simo Sorce 2007-06-06 22:18:09 UTC
patch committed


Note You need to log in before you can comment on or make changes to this bug.